## class osgParticle::RandomRateCounter

## Inheritance:

### Public Methods

META_Object(osgParticle, RandomRateCounter)
inline RandomRateCounter()
inline RandomRateCounter(const RandomRateCounter &copy, const osg::CopyOp &copyop)
inline int numParticlesToCreate(double dt) const
  Return the number of particles to be created in this frame

### Protected Methods

virtual ~RandomRateCounter()

### Inherited from VariableRateCounter:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
inline const rangef& getRateRange() const
inline void setRateRange(const rangef &r)
inline void setRateRange(float minrange, float maxrange)

### Inherited from Counter:

### Protected Methods

Counter& operator=(const Counter &)

## Documentation

`META_Object(osgParticle, RandomRateCounter)`

`virtual ~RandomRateCounter()`

`inline RandomRateCounter()`

`inline RandomRateCounter(const RandomRateCounter &copy, const osg::CopyOp &copyop)`

`inline int numParticlesToCreate(double dt) const`
  Return the number of particles to be created in this frame

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.